Subject: RE: [[email-masked]: PI addressing in IPv6 advances in ARIN]

From: "Bound, Jim" <[email-masked]>
Date: Sun, 16 Apr 2006 18:05:17 -0400

I don't mind stopping the cross postings.  Can someone send a mail to
where we post this and I will abide?  I suggest this is v6ops discussion
now but I am unclear on how this helps any v6ops deliverable.  It is
kind of like good customer input to SHIM6 and V6OPS?
/jim 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Patrick W. Gilmore
> Sent: Sunday, April 16, 2006 1:21 PM
> To: Jeroen Massar
> Cc: Patrick W. Gilmore; shim6-wg; [email-masked]
> Subject: Re: [[email-masked]: PI addressing in IPv6 
> advances in ARIN]
> 
> On Apr 16, 2006, at 12:49 PM, Jeroen Massar wrote:
> 
> > [very nice cross posting going on here ;) ]
> 
> Nah, I just hit "reply-all", but only one actually made it through.   
> I'm not subscribed to the rest of the lists.
> 
> I've lowered the CC list to something more reasonable now.
> 
> Oh, and commenting derisively on something you do yourself 
> seems a bit silly.
> 
> 
> > On Sun, 2006-04-16 at 12:10 -0400, Patrick W. Gilmore wrote:
> > [...
> > large snip about trying to bash shim6 which is not 
> finalized yet, thus 
> > how can you bash it ?
> > Note: extra sarcasm included in this post. Eat the eggs with salt.
> > ...]
> 
> I don't remember bashing shim6.  I remember saying people do 
> not agree it is the way to go.
> 
> As for "finalized", if I don't agree with the basic idea of a 
> technology (e.g. inserting a "shim" into the IP packet), how 
> can you "finalize" it to something with which I will agree?
> 
> 
> >> Oh, and one thing I should have said last time: Technical 
> arguments 
> >> are important, but they are only part of the decision process.
> >
> > In other words: "You are right with your arguments, but I 
> just threw 
> > your args away as they are futile based on the comparison of money 
> > earned this way or the other."...
> 
> I'm going to assume you are being sarcastic here, since your 
> "translation" is factually incorrect.  I was clear the 
> technical arguments are not sufficient, or even close.  I was 
> adding that the business elements are an additional hurdle.
> 
> BTW: Sarcasm is usually intended to either be funny or 
> illustrate a point.  Your sarcasms is definitely not funny, 
> and the only point you are illustrating here is a complete 
> misunderstanding of the discussion at hand.
> 
> 
> >> People (like me) have explained that the Internet is a 
> business, and 
> >> in addition to being .. technically unsavory to many 
> people, shim6 is 
> >> simply not viable in a business setting.
> >
> > And as you will only care for your business for the coming 
> 10 or maybe 
> > 20 years you really can't care what happens to the internet 
> afterward.
> >
> > The idea of IPv6 is (still not was) to have it around for 
> quite some 
> > time longer than the lifespan of IPv4. Fortunately, the PI thing is 
> > far from the end of the world and will only help catch on, 
> see below.
> >
> > Of course any vendor will love the idea of having to do another IP 
> > version of course, bring in the cash ;)
> 
> This is close to a useful argument.
> 
> First, predicting things like router-engine capabilities 20 
> years in the future is beyond silly.
> 
> Second, the is a very real possibility that arguments about 
> 'blowing up the routing table' are completely incorrect.  
> People have been  
> worried about it for over a decade and it has yet to come to pass.   
> (You could argue that it hasn't happened because people are 
> worried about it, but that it true with or without shim6, so 
> it's a wash either way.)
> 
> Lastly, whether it is right or wrong, getting businesses to 
> do something based on a 20 year horizon, especially when it 
> is painful today - and will be for the next 20 years! - is 
> essentially impossible.  So why are you trying to get them to 
> do it?  Personally, I have much more important windmills at 
> which to tilt.
> 
> 
> >> Neither backbone operators
> >> (vendors) nor end users (customers) are warming to the idea.  Just 
> >> the opposite.  (At least in general, the one-in-a-million end user 
> >> with DSL and cable who likes the idea 'cause he can't 
> figure out how 
> >> to spell "B-G-P" or doesn't want to pay for it is irrelevant.)
> >
> > Irrelevant for you as they don't give you money. Indeed, 
> you only look 
> > at your own business interrest (and who can blame you for that ;) 
> > (Once though the internet was there for the masses and not only for 
> > the ones with cash)
> 
> No, irrelevant PERIOD.  You cannot architect the Internet for 
> the one- in-a-million end user, _especially_ one who does not 
> pay for the infrastructure.
> 
> If you argue that they are at all relevant, then we have a 
> lot more problems with shim6 than we've discussed.  (And with 
> the Internet in
> general.)  So please explain to me why they are relevant in 
> any way whatsoever?  I am honestly eager to hear your 
> thinking along this line.
> 
> Just be completely clear on the implications of "proving" a 
> non- paying one-in-a-million end-user is reason enough to 
> change the core architecture of the whole Internet.
> 
> 
> >> So how do you get a technology widely accepted when the 
> majority of 
> >> people involved do not think it is the best technical 
> solution?  When 
> >> the majority of vendors supposed to implement it will not 
> do so for 
> >> technical -and- business reasons.
> >
> > There is for you indeed a business reason to not like it: 
> the end-site 
> > won't have any reason to stick to the upstream. Which is 
> indeed a bad 
> > business for many of the 'vendors' you mean.
> >
> > As Eliot Lear also said very clearly: Thanks for lining the vendors 
> > and all the stockholders pockets ;)
> 
> I'm not a backbone.  I am personally an end user.  And my 
> company is not a backbone, and does not sell transit to 
> anyone.  In fact, we are  
> probably the largest "end-site" consumer of bandwidth in the world.   
> And I still dislike shim6 both technically and commercially, 
> personally and professionally.  So does every technical 
> person at my company who has any interest in this topic.
> 
> It is not just backbones.  Shim6 is not commercially viable.  Period.
> 
> But thank you for attempting to divert the real discussion.
> 
> 
> > That is in the long run, most likely in the coming 10-20 years the
> > IPv6
> > routing tables will not have 'exploded' yet, but the folks selling 
> > equipment and having stocks of those venders after that most likely 
> > will have a nice retirement fund. Thanks to you!
> 
> First, thank you for thinking I am so important.
> 
> Second: Whatever.  If you honestly believe cisco & juniper 
> will fail or succeed based on shim6, you really need to 
> reevaluate your hypothesis.
> 
> 
> > Nevertheless, the PI thing is really *not* a bad thing, as 
> it can be 
> > used as an identifier for shim6, which is actually perfect. It just 
> > saves on having to do a complete policy process for getting address 
> > space for this type of usage. But thanks to this, this 
> won't be needed 
> > and thus in the end anybody who can get PI can use a shim6-alike 
> > solution and won't have any problem with the upstream that actually 
> > wanted to lock them in by letting them pay loads for an 
> entry in the 
> > BGP tables.
> >
> > Thus people voting for PI, thanks for helping shim6 or another 
> > solution in that space, progress a lot :)
> 
> Then why are we arguing about this?
> 
> --
> TTFN,
> patrick
> 
>